Linux安装libsodium失败解决办法~

前言


近日,月情在研究不可告人的东西,懂得人自然懂。libsodium,在做某些事情的时候需要安装这个东东。现在收藏一下解决安装失败的办法!

正文


如需在Linux服务器上安装salsa20或者chacha20亦或是chacha20-ietf算法,都离不开libsodium。而且就算在config.json内设置成chacha20也会提示method no supported.

下面是月情在遇到这种情况时去找的答案,亲测可用!

Centos

Ubuntu/Debian

月情这里只测试过Centos环境,按照这个shell来说Ubuntu和Debian应该也是没错的。

大家就自行测试Ubuntu和Debian吧。

另外,如果曾经安装过旧版本,亦可重复用以上步骤更新到最新版。

仅1.0.4或以上版本支持chacha20-ietf

 

人已赞赏
解压密码
2 条回复 A文章作者 M管理员
  1. 头像

    不错不错!做某些事情的时候是需要这个

    • 头像

      测试。

个人中心
今日签到
有新消息 消息中心
有新私信 私信列表
搜索